
Redmine - Feature #794

Restrict display of version number in footer

2008-03-06 03:33 - Georg Leciejewski

Status: Closed Start date: 2008-03-06

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.50 hour

Target version: 0.8   

Resolution: Fixed   

Description

maybe the display of the version number should be shown to logged in users or admins only.

Due to possible vulnerabilities in special versions.

Related issues:

Related to Redmine - Feature #1271: The Version number should be shown in footer Closed 2008-05-21

Related to Redmine - Feature #5901: REST API to expose the Redmine version New 2010-07-18

Related to Redmine - Feature #21948: Restrict display of the release year in ... New

Related to Redmine - Defect #30925: Concerns about the credit in the footer o... Closed

Has duplicate Redmine - Feature #9078: Change the "Power By Redmine" to Inclu... Closed 2011-08-18

Associated revisions

Revision 1225 - 2008-03-09 23:24 - Jean-Philippe Lang

Removes the Redmine version from the footer (closes #794). It can still be viewed on admin -> info.

Revision 2003 - 2008-11-09 21:39 - Jean-Philippe Lang

Hide Redmine version in atom feeds and pdf properties (#794).

History

#1 - 2008-03-06 09:32 - Thomas Lecavelier

I agree with you. Since it's a rather easy security issue to avoid, it should be implemented soon. Hoping that's this will be useless for a looooooooong

time :)

#2 - 2008-03-10 00:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1225.

#3 - 2008-08-12 23:07 - Go MAEDA

- Status changed from Closed to Reopened

Version number is still shown in atom feed.

For example, you can find the version number in the Activity atom's soure code.

  <generator uri="http://www.redmine.org/" version="0.7.devel.1695">

Redmine 0.7.devel.1695  </generator>

#4 - 2008-11-09 21:40 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Target version set to 0.8

- Resolution set to Fixed

Indeed. Fixed in r2003 in pdf properties as well.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1225
https://www.redmine.org/projects/redmine/repository/svn/revisions/2003


Thanks for pointing out.

#5 - 2015-03-13 09:07 - Go MAEDA

- Related to Feature #5901: REST API to expose the Redmine version added

#6 - 2016-02-04 09:28 - Go MAEDA

- Related to Feature #21948: Restrict display of the release year in the footer added

#7 - 2019-03-13 05:41 - Go MAEDA

- Related to Defect #30925: Concerns about the credit in the footer of Redmine added
